clear all
clear matrix
set more off
set varabbrev on
set type double
cd ~/your_directory/



log using rep_code_dh_gs.log, replace



***Table 1
use main_panel, clear
keep if year==1995
**industry-year fixed effects
foreach var of varlist logsale logat bklev mktlev ROA Q {
   qui areg `var' i.year, ab(naics4)
     predict `var'_r, resid
	 egen `var'_aux=mean(`var')
gen `var'_adjust=(`var'_aux+`var'_r) * cem_weight
}

foreach var of varlist logsale logat bklev mktlev ROA Q {
	ttest `var'_adjust, by(treated) une
}

tab treated



**Table 2
use main_panel, clear
reghdfe ROA DiD l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage c.pretrend_ROA#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
gen sample_main_reg2=e(sample)
keep if sample_main_reg2==1



tabstat treated logsale logat  ROA salesgro PCM Q bklev mktlev d_logdebt d_logBE d_logME debt_issueFG equity_issueFG capxat RDat ADat sgaat divpayer payout_ratio cash d_logcapx asset_tangibility rtnvol log_pats log_tmstk age  , ///
 statistics( mean p10 p25 p50 p75 p90 sd count ) columns(statistics) save
 mat tab2= r(StatTotal)'
frmttable using table2.doc, statmat(tab2)  sdec(2,2,2,2,2,2,2,0) varlabels replace  ctitle("","Mean", "P10" , "P25", "P50", "P75", "P90", "SD", "Total")






**Table 3
use main_panel, clear

reghdfe ROA DiD l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage  c.pretrend_ROA#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table3, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes) replace
reghdfe salesgro DiD l_asset_tangibility l_industry_bklev l_rtnvol l_RDat l_capxat l_ADat l_sgaat l_logage c.pretrend_salesgro#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table3, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes)
reghdfe PCM DiD l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage c.pretrend_PCM#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table3, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes)







**Table 4
use main_panel, clear
reghdfe bklev DiD l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_bklev#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table4, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes) replace
reghdfe mktlev DiD l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_mktlev#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table4, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes) 
reghdfe d_logdebt DiD l_asset_tangibility l_industry_bklev l_rtnvol   l_RDat l_capxat l_ADat l_sgaat l_logage  l_Q c.pretrend_d_logdebt#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table4, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes)
reghdfe d_logBE DiD l_asset_tangibility l_industry_bklev l_rtnvol  l_RDat l_capxat l_ADat l_sgaat l_logage l_Q c.pretrend_d_logBE#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table4, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes)
reghdfe d_logME  DiD l_asset_tangibility l_industry_bklev l_rtnvol  l_RDat l_capxat l_ADat l_sgaat l_logage  l_Q c.pretrend_d_logME#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table4, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes)
reghdfe debt_issueFG  DiD l_asset_tangibility l_industry_bklev l_rtnvol  l_RDat l_capxat l_ADat l_sgaat l_logage  l_Q c.pretrend_debt_issueFG#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table4, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes)
reghdfe equity_issueFG  DiD l_asset_tangibility l_industry_bklev l_rtnvol  l_RDat l_capxat l_ADat l_sgaat l_logage  l_Q c.pretrend_equity_issueFG#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table4, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes)










********Table 5
use main_panel, clear
reghdfe bklev DiD post95_hi_size DiD_hi_size l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_bklev#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table5, keep(DiD DiD_hi_size) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes) replace
test (DiD+DiD_hi_size=0)
*
reghdfe mktlev DiD post95_hi_size DiD_hi_size l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_mktlev#c.year , a(gvkey naics4#year) cl(gvkey)
outreg2 using table5, keep(DiD DiD_hi_size) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes) 
test (DiD+DiD_hi_size=0)
*
reghdfe d_logdebt DiD post95_hi_size DiD_hi_size l_asset_tangibility l_industry_bklev l_rtnvol  l_RDat l_capxat  l_Q l_ADat l_sgaat l_logage  c.pretrend_d_logdebt#c.year , a(gvkey naics4#year) cl(gvkey)
outreg2 using table5, keep(DiD DiD_hi_size) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes) 
reghdfe d_logBE DiD post95_hi_size DiD_hi_size l_asset_tangibility l_industry_bklev l_rtnvol  l_RDat l_capxat  l_Q l_ADat l_sgaat l_logage  c.pretrend_d_logBE#c.year , a(gvkey naics4#year) cl(gvkey)
outreg2 using table5, keep(DiD DiD_hi_size) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes) 
reghdfe d_logME  DiD post95_hi_size DiD_hi_size l_asset_tangibility l_industry_bklev l_rtnvol  l_RDat l_capxat  l_Q l_ADat l_sgaat l_logage  c.pretrend_d_logME#c.year , a(gvkey naics4#year) cl(gvkey)
outreg2 using table5, keep(DiD DiD_hi_size) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes) 
reghdfe debt_issueFG DiD post95_hi_size DiD_hi_size l_asset_tangibility l_industry_bklev l_rtnvol  l_RDat l_capxat  l_Q l_ADat l_sgaat l_logage  c.pretrend_debt_issueFG#c.year , a(gvkey naics4#year) cl(gvkey)
outreg2 using table5, keep(DiD DiD_hi_size) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes) 
reghdfe equity_issueFG  DiD post95_hi_size DiD_hi_size l_asset_tangibility l_industry_bklev l_rtnvol  l_RDat l_capxat  l_Q l_ADat l_sgaat l_logage  c.pretrend_equity_issueFG#c.year , a(gvkey naics4#year) cl(gvkey)
outreg2 using table5, keep(DiD DiD_hi_size) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes)  
 

 
 
 
 


**Table 6
use main_panel, clear

**Number of issuances
bysort gvkey post95: egen count_refinancing=sum(debt_issueFG)
bysort gvkey: egen mode_naics4=mode(naics4)
bysort gvkey: egen max_naics4=max(naics4)
drop naics4
gen naics4=mode_naics4
replace naics4=max_naics4 if naics4==.
drop max_naics4 mode_naics4
keep gvkey year post95  count_refinancing asset_tangibility industry_bklev rtnvol log_pats RDat logat capxat Q hi_revenue cem_weights naics4 treated hi_size ADat sgaat log_tmstk logage

**Compute means
xtset gvkey year
local i =1
foreach i of varlist asset_tangibility industry_bklev rtnvol log_pats RDat capxat Q logat ADat sgaat log_tmstk logage {
bysort gvkey post95: egen mean_`i' = mean(`i') 
drop `i'
}
*
***reshape
drop year
duplicates drop
bysort gvkey post95: egen count_obs=count(post95)
drop count_obs 
reshape wide mean* count_refinancing, i(gvkey) j(post95)

gen dummy_fin0=0
replace dummy_fin0=1 if count_refinancing0>0
replace dummy_fin0=. if count_refinancing0==.
gen dummy_fin1=0
replace dummy_fin1=1 if count_refinancing1>0
replace dummy_fin1=. if count_refinancing1==.

**Compute diffs
foreach var in count_refinancing mean_asset_tangibility mean_industry_bklev mean_rtnvol mean_log_pats mean_RDat mean_capxat mean_Q mean_logat dummy_fin {
gen diff_`var'=`var'1-`var'0 
}

*Regressions
gen log_iss1=log(1+count_refinancing1)
gen log_iss0=log(1+count_refinancing0)
gen treat_size=treated*hi_size

label var dummy_fin1 "Dummy Debt iss. Post FTDA"
label var dummy_fin0 "Dummy Debt iss. Pre FTDA"
label var count_refinancing1 "# Debt iss. Post FTDA"
label var count_refinancing0 "# Debt iss. FTDA"
label var log_iss1 "Log # Debt iss. Post FTDA"
label var log_iss0 "Log # Debt iss. FTDA"
label var treated "Treated"
label var treat_size "Treated x Large"
gen always_issuer=0
replace always_issuer=1 if dummy_fin1==1 & dummy_fin0==1
*
reghdfe dummy_fin1 treated dummy_fin0 mean_asset_tangibility0 mean_Q0 mean_industry_bklev0 mean_rtnvol0 mean_log_pats0 mean_RDat0 mean_capxat0 mean_logat0 mean_ADat0 mean_sgaat0 mean_log_tmstk0 mean_logage0  [aweight = cem_weights] if hi_size!=., a(naics4) 
outreg2 using table6, keep(treated dummy_fin0) sortvar(treated treat_size dummy_fin0 count_refinancing0) bdec(3) tdec(1) r2 nocons label addtext(Controls pre FTDA, Yes, Industry FE, Yes) replace
*
reghdfe count_refinancing1 treated count_refinancing0 mean_asset_tangibility0 mean_Q0 mean_industry_bklev0 mean_rtnvol0 mean_log_pats0 mean_RDat0 mean_capxat0 mean_logat0 mean_ADat0 mean_sgaat0 mean_log_tmstk0 mean_logage0  [aweight = cem_weights] if hi_size!=., a(naics4) 
outreg2 using table6, keep(treated count_refinancing0) sortvar(treated treat_size dummy_fin0 count_refinancing0) bdec(3) tdec(1) r2 nocons label addtext(Controls pre FTDA, Yes, Industry FE, Yes)
*
reghdfe dummy_fin1 treated treat_size dummy_fin0 mean_asset_tangibility0 mean_Q0 mean_industry_bklev0 mean_rtnvol0 mean_log_pats0 mean_RDat0 mean_capxat0 mean_logat0 mean_ADat0 mean_sgaat0 mean_log_tmstk0 mean_logage0 hi_size [aweight = cem_weights], a(naics4)
outreg2 using table6, keep(treated treat_size dummy_fin0) sortvar(treated treat_size dummy_fin0 count_refinancing0) bdec(3) tdec(1) r2 nocons label addtext(Controls pre FTDA, Yes, Industry FE, Yes)
*
reghdfe count_refinancing1 treated treat_size count_refinancing0 mean_asset_tangibility0 mean_Q0 mean_industry_bklev0 mean_rtnvol0 mean_log_pats0 mean_RDat0 mean_capxat0 mean_logat0 mean_ADat0 mean_sgaat0 mean_log_tmstk0 mean_logage0 hi_size  [aweight = cem_weights], a(naics4) 
outreg2 using table6, keep(treated treat_size count_refinancing0) sortvar(treated treat_size dummy_fin0 count_refinancing0) bdec(3) tdec(1) r2 nocons label addtext(Controls pre FTDA, Yes, Industry FE, Yes)

 

 
 

**Table 7
use main_panel, clear
* 
reghdfe bklev DiD post95_pos_tax DiD_pos_tax l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_bklev#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table7, keep(DiD DiD_pos_tax) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes, Sample, All) replace
*
reghdfe bklev DiD post95_pos_tax DiD_pos_tax l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_bklev#c.year [aweight = cem_weights] if hi_size==1, a(gvkey naics4#year) cl(gvkey)
outreg2 using table7, keep(DiD DiD_pos_tax) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes, Sample, Large firms)
*
reghdfe bklev DiD post95_pos_tax DiD_pos_tax l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_bklev#c.year [aweight = cem_weights] if hi_size==0, a(gvkey naics4#year) cl(gvkey)
outreg2 using table7, keep(DiD DiD_pos_tax) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes, Sample, Small firms)
*
reghdfe bklev DiD post95_low_Z DiD_low_Z l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_bklev#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table7, keep(DiD DiD_low_Z) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes, Sample, All) 
*
reghdfe bklev DiD post95_low_Z DiD_low_Z l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_bklev#c.year [aweight = cem_weights] if hi_size==1, a(gvkey naics4#year) cl(gvkey)
outreg2 using table7, keep(DiD DiD_low_Z) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes, Sample, Large firms) 
*
reghdfe bklev DiD post95_low_Z DiD_low_Z l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_bklev#c.year [aweight = cem_weights] if hi_size==0, a(gvkey naics4#year) cl(gvkey)
outreg2 using table7, keep(DiD DiD_low_Z) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes, Sample, Small firms) 
*
reghdfe bklev DiD post95_hi_bklev2 DiD_hi_bklev2 l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_bklev#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table7, keep(DiD DiD_hi_bklev2) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes, Sample, All) 
*
reghdfe bklev DiD post95_hi_bklev2 DiD_hi_bklev2 l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_bklev#c.year [aweight = cem_weights] if hi_size==1, a(gvkey naics4#year) cl(gvkey)
outreg2 using table7, keep(DiD DiD_hi_bklev2) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes, Sample, Large firms) 
*
reghdfe bklev DiD post95_hi_bklev2 DiD_hi_bklev2 l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_bklev#c.year [aweight = cem_weights] if hi_size==0, a(gvkey naics4#year) cl(gvkey)
outreg2 using table7, keep(DiD DiD_hi_bklev2) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes, Sample, Small firms) 

**7B
reghdfe bklev DiD post95_hi_WW DiD_hi_WW l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_bklev#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table7b, keep(DiD DiD_hi_WW) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes, Sample, All) replace
*
reghdfe bklev DiD post95_hi_WW DiD_hi_WW l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_bklev#c.year [aweight = cem_weights] if hi_size==1, a(gvkey naics4#year) cl(gvkey)
outreg2 using table7b, keep(DiD DiD DiD_hi_WW) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes, Sample, Large firms) 
*
reghdfe bklev DiD post95_hi_WW DiD_hi_WW l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_bklev#c.year [aweight = cem_weights] if hi_size==0, a(gvkey naics4#year) cl(gvkey)
outreg2 using table7b, keep(DiD DiD DiD_hi_WW) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes, Sample, Small firms) 
*
reghdfe bklev DiD post95_hi_KZ DiD_hi_KZ l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_bklev#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table7b, keep(DiD DiD_hi_KZ) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes, Sample, All) 
*
reghdfe bklev DiD post95_hi_KZ DiD_hi_KZ l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_bklev#c.year [aweight = cem_weights] if hi_size==1, a(gvkey naics4#year) cl(gvkey)
outreg2 using table7b, keep(DiD DiD_hi_KZ) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes, Sample, Large firms) 
*
reghdfe bklev DiD post95_hi_KZ DiD_hi_KZ l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_bklev#c.year [aweight = cem_weights] if hi_size==0, a(gvkey naics4#year) cl(gvkey)
outreg2 using table7b, keep(DiD DiD_hi_KZ) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes, Sample, Small firms) 





**Table 8
use main_panel, clear
reghdfe ROA DiD l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage  c.pretrend_ROA#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
gen sample_main_reg2=e(sample)
keep if sample_main_reg2==1
*
reghdfe capxat DiD [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table8a, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, No, Firm FE, Yes, Industry x Year FE, Yes) replace
reghdfe RD_Capx DiD  [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table8a, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, No, Firm FE, Yes, Industry x Year FE, Yes) 
reghdfe ADat DiD  [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table8a, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, No, Firm FE, Yes, Industry x Year FE, Yes) 
reghdfe sgaat DiD  [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table8a, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, No, Firm FE, Yes, Industry x Year FE, Yes) 
*
reghdfe capxat DiD l_asset_tangibility l_industry_bklev l_Q l_rtnvol l_logat l_log_pats  l_log_tmstk l_logage c.pretrend_capxat#c.year  [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table8b, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes) replace
reghdfe RD_Capx DiD l_asset_tangibility l_industry_bklev l_Q l_rtnvol l_logat l_log_pats  l_log_tmstk l_logage c.pretrend_RD_Capx#c.year  [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table8b, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes) 
reghdfe ADat DiD l_asset_tangibility l_industry_bklev l_Q l_rtnvol l_logat l_log_pats  l_log_tmstk l_logage c.pretrend_ADat#c.year  [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table8b, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes) 
reghdfe sgaat DiD l_asset_tangibility l_industry_bklev l_Q l_rtnvol l_logat l_log_pats  l_log_tmstk l_logage c.pretrend_sgaat#c.year  [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table8b, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes) 
*
reghdfe capxat DiD post95_hi_size DiD_hi_size l_asset_tangibility l_industry_bklev l_Q l_rtnvol l_logat l_log_pats  l_log_tmstk l_logage c.pretrend_capxat#c.year  [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table8c, keep(DiD DiD_hi_size) bdec(3) tdec(1) r2 nocons label addtext(Controls, No, Firm FE, Yes, Industry x Year FE, Yes) replace
reghdfe RD_Capx DiD post95_hi_size DiD_hi_size l_asset_tangibility l_industry_bklev l_Q l_rtnvol l_logat l_log_pats  l_log_tmstk l_logage c.pretrend_RD_Capx#c.year  [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table8c, keep(DiD DiD_hi_size) bdec(3) tdec(1) r2 nocons label addtext(Controls, No, Firm FE, Yes, Industry x Year FE, Yes) 
reghdfe ADat DiD post95_hi_size DiD_hi_size l_asset_tangibility l_industry_bklev l_Q l_rtnvol l_logat l_log_pats  l_log_tmstk l_logage c.pretrend_ADat#c.year  [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table8c, keep(DiD DiD_hi_size) bdec(3) tdec(1) r2 nocons label addtext(Controls, No, Firm FE, Yes, Industry x Year FE, Yes) 
reghdfe sgaat DiD post95_hi_size DiD_hi_size l_asset_tangibility l_industry_bklev l_Q l_rtnvol l_logat l_log_pats  l_log_tmstk l_logage c.pretrend_sgaat#c.year  [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table8c, keep(DiD DiD_hi_size) bdec(3) tdec(1) r2 nocons label addtext(Controls, No, Firm FE, Yes, Industry x Year FE, Yes) 







**Table 9
use main_panel, clear
reghdfe divpayer DiD [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table9a, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, No, Firm FE, Yes, Industry x Year FE, Yes) replace
reghdfe payout_ratio DiD [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table9a, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, No, Firm FE, Yes, Industry x Year FE, Yes)
reghdfe cash DiD [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table9a, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, No, Firm FE, Yes, Industry x Year FE, Yes)
*
reghdfe divpayer DiD l_asset_tangibility l_Q l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage c.pretrend_divpayer#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table9b, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes)  replace
reghdfe payout_ratio DiD l_asset_tangibility l_Q l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat  l_logat l_ADat l_sgaat l_log_tmstk l_logage c.pretrend_payout_ratio#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table9b, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes)
reghdfe cash DiD l_asset_tangibility l_Q l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat  l_logat l_ADat l_sgaat l_log_tmstk l_logage c.pretrend_cash#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table9b, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes) 
*
reghdfe divpayer DiD post95_hi_size DiD_hi_size l_asset_tangibility l_Q l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat  l_logat l_ADat l_sgaat l_log_tmstk l_logage c.pretrend_divpayer#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table9c, keep(DiD DiD_hi_size) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes) replace
reghdfe payout_ratio DiD post95_hi_size DiD_hi_size l_asset_tangibility l_Q l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat  l_logat l_ADat l_sgaat l_log_tmstk l_logage c.pretrend_payout_ratio#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table9c, keep(DiD DiD_hi_size) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes)
reghdfe cash DiD post95_hi_size DiD_hi_size l_asset_tangibility l_Q l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_log_tmstk l_logage c.pretrend_cash#c.year  [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table9c, keep(DiD DiD_hi_size) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes)





***Table 10. Alternative definitions
use main_panel, clear
reghdfe ROA interact2 l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage c.pretrend_ROA#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table10, keep(interact2) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes,Sample) replace
reghdfe bklev interact2 l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_bklev#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
outreg2 using table10, keep(interact2) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes,Sample) 
**famous vs non-famous
reghdfe ROA DiD l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage c.pretrend_ROA#c.year [aweight = cem_weights] if tmstock95>0, a(gvkey naics4#year) cl(gvkey)
outreg2 using table10, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes,Sample,TM only)
reghdfe bklev DiD l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_bklev#c.year [aweight = cem_weights] if tmstock95>0, a(gvkey naics4#year) cl(gvkey)
outreg2 using table10, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes,Sample,TM only) 
**famous vs no trademarks
reghdfe ROA DiD l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage c.pretrend_ROA#c.year [aweight = cem_weights] if famous_or_nothing>0, a(gvkey naics4#year) cl(gvkey)
outreg2 using table10, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes,Sample, No-TM controls)
reghdfe bklev DiD l_asset_tangibility l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend_bklev#c.year [aweight = cem_weights] if famous_or_nothing>0, a(gvkey naics4#year) cl(gvkey)
outreg2 using table10, keep(DiD) bdec(3) tdec(1) r2 nocons label addtext(Controls, Yes, Firm FE, Yes, Industry x Year FE, Yes,Sample, No-TM controls) 











***Figure 1
use main_panel, clear

gen w_int=trunc(cem_weights*100)

twoway (histogram logat [fweight = w_int] if treated==1, bin(20) fintensity(10) percent bcolor(red)) (histogram logat [fweight = w_int] if treated==0, bin(20) percent fcolor(none) lcolor(black) lpattern(shortdash)) , ///
 legend(order(1 "Treated" 2 "Control" )) graphregion(color(white)) bgcolor(white) ytitle(Percent of Observations)
graph export Figure1.png, replace




**Figure 2
use main_panel, clear

**For the first pretreatment coefficient to be zero
capture program drop coef0tozero
program coef0tozero, eclass
	tempname bmat
    tempname vmat
	matrix `bmat' = e(b)
	matrix `bmat'[1,1] = 0
	matrix `vmat' = e(V)
	matrix `vmat'[1,1] = 0
	ereturn repost b = `bmat'
	ereturn repost V = `vmat'
end

reghdfe ROA l_asset_tangibility treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 treated__2002 ///
 l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage c.pretrend_ROA#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
coef0tozero
coefplot, keep( treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 l_asset_tangibility  treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 treated__2002 l_asset_tangibility) /// 
order( treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 l_asset_tangibility treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 treated__2002 ) ///
 yline(0) recast(connected) ytitle(ROA) clpattern(shortdash) ciopts(recast(rcap) clpattern(shortdash)) ///
 citop vertical graphregion(color(white)) bgcolor(white) xline(7.5, lpattern(dash)) ysc(r(-.02 .04)) ylab(-.02(0.01).04) 
graph export Figure2.png, replace



***Figure 3
use main_panel, clear
reghdfe bklev l_asset_tangibility treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 treated__2002 l_Q l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage  c.pretrend_bklev#c.year  [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
coef0tozero
coefplot, keep( treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 l_asset_tangibility  treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 treated__2002 l_asset_tangibility) /// 
order( treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 l_asset_tangibility treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 treated__2002 ) ///
 yline(0) recast(connected) clpattern(shortdash)  ciopts(recast(rcap) clpattern(shortdash)) ///
 citop vertical ytitle(Book Leverage) graphregion(color(white)) bgcolor(white) xline(7.5, lpattern(dash)) ysc(r(-.04 .04)) ylab(-.04(0.01).04) 
graph export figure3a.png, replace

test (treated__2002=treated__1998)

**
reghdfe mktlev l_asset_tangibility treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 treated__2002 l_Q l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage  c.pretrend_mktlev#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
coef0tozero
coefplot, keep( treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 l_asset_tangibility  treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 treated__2002 l_asset_tangibility) /// 
order( treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 l_asset_tangibility treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 treated__2002 ) ///
 yline(0) recast(connected) clpattern(shortdash)  ciopts(recast(rcap) clpattern(shortdash)) ///
 citop vertical ytitle(Market Leverage) graphregion(color(white)) bgcolor(white) xline(7.5, lpattern(dash)) ysc(r(-.04 .02)) ylab(-.04(0.01).04)   
graph export figure3b.png, replace
 
 
 
**Figure 4
use main_panel, clear
**Debt growth
reghdfe d_logdebt l_asset_tangibility treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 treated__2002 l_Q l_industry_bklev l_rtnvol  l_RDat l_capxat l_ADat l_sgaat l_logage c.pretrend_d_logdebt#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
coef0tozero
estimate store debt_g 

**Book Equity growth
reghdfe d_logBE l_asset_tangibility treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 treated__2002 l_Q l_industry_bklev l_rtnvol l_RDat l_capxat l_ADat l_sgaat l_logage  c.pretrend_d_logBE#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
coef0tozero
estimate store bequity_g 

**Market equity growth
reghdfe d_logME l_asset_tangibility treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 treated__2002 l_Q l_industry_bklev l_rtnvol l_RDat l_capxat l_ADat l_sgaat l_logage  c.pretrend_d_logME#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
coef0tozero
estimate store mequity_g 

***Figure 4a: Debt vs Book equity growth
coefplot (debt_g,yline(0) recast(bar) clpattern(shortdash) msymbol(T) fintensity(10) bcolor(red) barwidth(0.2))  (bequity_g , recast(bar) fcolor(none) lcolor(black) msize(large) fintensity(20)  barwidth(0.2)) ///
(mequity_g , recast(bar) fcolor(blue) lcolor(blue) msize(large) fintensity(20)  barwidth(0.2)), ///
keep( treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 l_asset_tangibility  treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 treated__2002 l_asset_tangibility) /// 
order( treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 l_asset_tangibility treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 treated__2002 )  ///
 yline(0) graphregion(color(white)) bgcolor(white) plotlabels("Debt growth" "Book Equity growth" "Market Equity growth") noci yline(0) vertical xline(7.5, lpattern(dash))  ylab(-.1(0.05).2) 
graph export figure4a.png, replace

**Debt Issuance
reghdfe debt_issueFG l_asset_tangibility treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 treated__2002 l_Q l_industry_bklev l_rtnvol l_RDat l_capxat l_ADat l_sgaat l_logage c.pretrend_debt_issueFG#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
coef0tozero
estimate store debt_i
 
**Equity Issuance
reghdfe equity_issueFG l_asset_tangibility treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 treated__2002 l_Q l_industry_bklev l_rtnvol l_RDat l_capxat l_ADat l_sgaat l_logage c.pretrend_equity_issueFG#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)
coef0tozero
estimate store equity_i 

***Figure 4b: Debt vs Book equity issuance
coefplot (debt_i,yline(0) recast(bar) clpattern(shortdash) msymbol(T) fintensity(10) bcolor(red) barwidth(0.2))  (equity_i , recast(bar) fcolor(none) lcolor(black) msize(large) fintensity(20)  barwidth(0.2)), ///
keep( treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 l_asset_tangibility  treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 treated__2002 l_asset_tangibility) /// 
order( treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 l_asset_tangibility treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 treated__2002 )  ///
 yline(0) graphregion(color(white)) bgcolor(white) plotlabels("Debt issuance" "Equity issuance") noci yline(0) vertical xline(7.5, lpattern(dash))  ylab(-.1(0.05).15) 
graph export figure4b.png, replace



 
***Figure 5
use main_panel, clear
**Getting the coefficients:
foreach i of num 1989/2002 {
gen treated__`i'_hi_size=treated__`i'*hi_size
gen treated__`i'_low_size=treated__`i'*(1-hi_size)
label var treated__`i'_hi_size "`i'"
label var treated__`i'_low_size "`i'"
}
***Book leverage
reghdfe bklev l_asset_tangibility treated__1989_hi_size treated__1989_low_size treated__1990_hi_size treated__1990_low_size treated__1991_hi_size treated__1991_low_size treated__1992_hi_size treated__1992_low_size treated__1993_hi_size treated__1993_low_size ///
 treated__1994_hi_size treated__1994_low_size treated__1996_hi_size treated__1996_low_size treated__1997_hi_size treated__1997_low_size ///
 treated__1998_hi_size treated__1998_low_size treated__1999_hi_size treated__1999_low_size treated__2000_hi_size treated__2000_low_size treated__2001_hi_size treated__2001_low_size ///
 treated__2002_hi_size treated__2002_low_size hi_size_year* ///
 l_Q  l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage  c.pretrend_bklev#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)

**Figure 5a
**Large firms 
coef0tozero
coefplot, keep(treated__1989_hi_size treated__1990_hi_size treated__1991_hi_size treated__1992_hi_size treated__1993_hi_size treated__1994_hi_size l_asset_tangibility treated__1996_hi_size treated__1997_hi_size treated__1998_hi_size treated__1999_hi_size treated__2000_hi_size treated__2001_hi_size treated__2002_hi_size l_asset_tangibility) /// 
order( treated__1989_hi_size treated__1990_hi_size treated__1991_hi_size treated__1992_hi_size treated__1993_hi_size treated__1994_hi_size l_asset_tangibility treated__1996_hi_size treated__1997_hi_size treated__1998_hi_size treated__1999_hi_size treated__2000_hi_size treated__2001_hi_size treated__2002_hi_size) ///
 yline(0) recast(connected) clpattern(shortdash)  ciopts(recast(rcap) clpattern(shortdash)) ///
 citop vertical graphregion(color(white)) bgcolor(white) ytitle(Book Leverage) xline(7.5, lpattern(dash)) ysc(r(-.1 .1))  ylab(-.1(0.02).1) 
graph export figure5a.png, replace

**Figure 5b
**Small firms 
coef0tozero
coefplot, keep(treated__1989_low_size treated__1990_low_size treated__1991_low_size treated__1992_low_size treated__1993_low_size treated__1994_low_size l_asset_tangibility treated__1996_low_size treated__1997_low_size treated__1998_low_size treated__1999_low_size treated__2000_low_size treated__2001_low_size treated__2002_low_size l_asset_tangibility) /// 
order( treated__1989_low_size treated__1990_low_size treated__1991_low_size treated__1992_low_size treated__1993_low_size treated__1994_low_size l_asset_tangibility treated__1996_low_size treated__1997_low_size treated__1998_low_size treated__1999_low_size treated__2000_low_size treated__2001_low_size treated__2002_low_size) ///
 yline(0) recast(connected) clpattern(shortdash)  ciopts(recast(rcap) clpattern(shortdash)) ///
 citop vertical graphregion(color(white)) bgcolor(white) ytitle(Book Leverage) xline(7.5, lpattern(dash)) ysc(r(-.1 .1))  ylab(-.1(0.02).1) 
graph export figure5b.png, replace





**Figure 6
use main_panel, clear



foreach i of num 1989/2002 {
gen treated__`i'_hi_tax=treated__`i'*pos_tax
gen treated__`i'_low_tax=treated__`i'*(1-pos_tax)
label var treated__`i'_hi_tax "`i'"
label var treated__`i'_low_tax "`i'"
}

**Quadruple differences
**Getting the coefficients:
foreach i of num 1989/2002 {
gen treated__`i'_hisize_hitax=treated__`i'*pos_tax*hi_size
gen treated__`i'_hisize_lowtax=treated__`i'*(1-pos_tax)*hi_size
gen treated__`i'_lowsize_lowtax=treated__`i'*(1-pos_tax)*(1-hi_size)
gen treated__`i'_lowsize_hitax=treated__`i'*(pos_tax)*(1-hi_size)
label var treated__`i'_hisize_hitax "`i'"
label var treated__`i'_lowsize_lowtax "`i'"
label var treated__`i'_lowsize_hitax "`i'"
label var treated__`i'_hisize_lowtax "`i'"
}

***Book leverage
set more off
reghdfe bklev l_asset_tangibility ///
treated__1989_hisize_hitax treated__1990_hisize_hitax treated__1991_hisize_hitax treated__1992_hisize_hitax treated__1993_hisize_hitax  treated__1994_hisize_hitax treated__1996_hisize_hitax ///
treated__1997_hisize_hitax treated__1998_hisize_hitax treated__1999_hisize_hitax treated__2000_hisize_hitax treated__2001_hisize_hitax treated__2002_hisize_hitax ///
treated__1989_hisize_lowtax treated__1990_hisize_lowtax treated__1991_hisize_lowtax treated__1992_hisize_lowtax treated__1993_hisize_lowtax  treated__1994_hisize_lowtax treated__1996_hisize_lowtax ///
treated__1997_hisize_lowtax treated__1998_hisize_lowtax treated__1999_hisize_lowtax treated__2000_hisize_lowtax treated__2001_hisize_lowtax treated__2002_hisize_lowtax ///
treated__1989_lowsize_lowtax treated__1990_lowsize_lowtax treated__1991_lowsize_lowtax treated__1992_lowsize_lowtax treated__1993_lowsize_lowtax  treated__1994_lowsize_lowtax treated__1996_lowsize_lowtax ///
treated__1997_lowsize_lowtax treated__1998_lowsize_lowtax treated__1999_lowsize_lowtax treated__2000_lowsize_lowtax treated__2001_lowsize_lowtax treated__2002_lowsize_lowtax /// 
treated__1989_lowsize_hitax treated__1990_lowsize_hitax treated__1991_lowsize_hitax treated__1992_lowsize_hitax treated__1993_lowsize_hitax  treated__1994_lowsize_hitax treated__1996_lowsize_hitax ///
treated__1997_lowsize_hitax treated__1998_lowsize_hitax treated__1999_lowsize_hitax treated__2000_lowsize_hitax treated__2001_lowsize_hitax treated__2002_lowsize_hitax /// 
  hi_size_year* pos_tax_year* ///
 l_Q  l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage  c.pretrend_bklev#c.year [aweight = cem_weights], a(gvkey naics4#year) cl(gvkey)

**Figure 6a
coef0tozero
coefplot, keep(treated__1989_hisize_hitax treated__1990_hisize_hitax treated__1991_hisize_hitax treated__1992_hisize_hitax treated__1993_hisize_hitax  treated__1994_hisize_hitax  l_asset_tangibility ///
 treated__1996_hisize_hitax treated__1997_hisize_hitax treated__1998_hisize_hitax treated__1999_hisize_hitax treated__2000_hisize_hitax treated__2001_hisize_hitax treated__2002_hisize_hitax ) /// 
order( treated__1989_hisize_hitax treated__1990_hisize_hitax treated__1991_hisize_hitax treated__1992_hisize_hitax treated__1993_hisize_hitax  treated__1994_hisize_hitax  l_asset_tangibility ///
 treated__1996_hisize_hitax treated__1997_hisize_hitax treated__1998_hisize_hitax treated__1999_hisize_hitax treated__2000_hisize_hitax treated__2001_hisize_hitax treated__2002_hisize_hitax) ///
 yline(0) recast(connected) clpattern(shortdash)  ciopts(recast(rcap) clpattern(shortdash)) ///
 citop vertical graphregion(color(white)) bgcolor(white) ytitle(Book Leverage) xline(7.5, lpattern(dash)) ysc(r(-.1 .1))  ylab(-.1(0.02).1) 
graph export figure6a.png, replace

**Figure 6b
coef0tozero
coefplot, keep(treated__1989_hisize_lowtax treated__1990_hisize_lowtax treated__1991_hisize_lowtax treated__1992_hisize_lowtax treated__1993_hisize_lowtax  treated__1994_hisize_lowtax  l_asset_tangibility ///
 treated__1996_hisize_lowtax treated__1997_hisize_lowtax treated__1998_hisize_lowtax treated__1999_hisize_lowtax treated__2000_hisize_lowtax treated__2001_hisize_lowtax treated__2002_hisize_lowtax ) /// 
order( treated__1989_hisize_lowtax treated__1990_hisize_lowtax treated__1991_hisize_lowtax treated__1992_hisize_lowtax treated__1993_hisize_lowtax  treated__1994_hisize_lowtax  l_asset_tangibility ///
 treated__1996_hisize_lowtax treated__1997_hisize_lowtax treated__1998_hisize_lowtax treated__1999_hisize_lowtax treated__2000_hisize_lowtax treated__2001_hisize_lowtax treated__2002_hisize_lowtax) ///
 yline(0) recast(connected) clpattern(shortdash)  ciopts(recast(rcap) clpattern(shortdash)) ///
 citop vertical graphregion(color(white)) bgcolor(white) ytitle(Book Leverage) xline(7.5, lpattern(dash)) ysc(r(-.1 .1))  ylab(-.1(0.02).1) 
graph export figure6b.png, replace

**Figure 6c
coef0tozero
coefplot, keep(treated__1989_lowsize_hitax treated__1990_lowsize_hitax treated__1991_lowsize_hitax treated__1992_lowsize_hitax treated__1993_lowsize_hitax  treated__1994_lowsize_hitax  l_asset_tangibility ///
 treated__1996_lowsize_hitax treated__1997_lowsize_hitax treated__1998_lowsize_hitax treated__1999_lowsize_hitax treated__2000_lowsize_hitax treated__2001_lowsize_hitax treated__2002_lowsize_hitax ) /// 
order( treated__1989_lowsize_hitax treated__1990_lowsize_hitax treated__1991_lowsize_hitax treated__1992_lowsize_hitax treated__1993_lowsize_hitax  treated__1994_lowsize_hitax  l_asset_tangibility ///
 treated__1996_lowsize_hitax treated__1997_lowsize_hitax treated__1998_lowsize_hitax treated__1999_lowsize_hitax treated__2000_lowsize_hitax treated__2001_lowsize_hitax treated__2002_lowsize_hitax) ///
 yline(0) recast(connected) clpattern(shortdash)  ciopts(recast(rcap) clpattern(shortdash)) ///
 citop vertical graphregion(color(white)) bgcolor(white) ytitle(Book Leverage) xline(7.5, lpattern(dash)) ysc(r(-.1 .1))  ylab(-.1(0.02).1) 
graph export figure6c.png, replace


**Figure 6d
coef0tozero
coefplot, keep(treated__1989_lowsize_lowtax treated__1990_lowsize_lowtax treated__1991_lowsize_lowtax treated__1992_lowsize_lowtax treated__1993_lowsize_lowtax  treated__1994_lowsize_lowtax  l_asset_tangibility ///
 treated__1996_lowsize_lowtax treated__1997_lowsize_lowtax treated__1998_lowsize_lowtax treated__1999_lowsize_lowtax treated__2000_lowsize_lowtax treated__2001_lowsize_lowtax treated__2002_lowsize_lowtax ) /// 
order( treated__1989_lowsize_lowtax treated__1990_lowsize_lowtax treated__1991_lowsize_lowtax treated__1992_lowsize_lowtax treated__1993_lowsize_lowtax  treated__1994_lowsize_lowtax  l_asset_tangibility ///
 treated__1996_lowsize_lowtax treated__1997_lowsize_lowtax treated__1998_lowsize_lowtax treated__1999_lowsize_lowtax treated__2000_lowsize_lowtax treated__2001_lowsize_lowtax treated__2002_lowsize_lowtax) ///
 yline(0) recast(connected) clpattern(shortdash)  ciopts(recast(rcap) clpattern(shortdash)) ///
 citop vertical graphregion(color(white)) bgcolor(white) ytitle(Book Leverage) xline(7.5, lpattern(dash)) ysc(r(-.16 .16))  ylab(-.16(0.04).16) 
graph export figure6d.png, replace





****Figure 7
use main_panel, clear


capture program drop coef0tozero
program coef0tozero, eclass
	tempname bmat
    tempname vmat
	matrix `bmat' = e(b)
	matrix `bmat'[1,1] = 0
	matrix `vmat' = e(V)
	matrix `vmat'[1,1] = 0
	ereturn repost b = `bmat'
	ereturn repost V = `vmat'
end


reghdfe ROA l_asset_tangibility dil_treated_1989 dil_treated_1990 dil_treated_1991 dil_treated_1992 dil_treated_1993 dil_treated_1994 dil_treated_1996 dil_treated_1997 dil_treated_1998 dil_treated_1999 dil_treated_2000 dil_treated_2001 dil_treated_2002 ///
 treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994  treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 treated__2002 ///
l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage c.pretrend_ROA#c.year, a(gvkey naics4#year) cl(gvkey)
coef0tozero
estimates store ctreatROA 

reghdfe bklev l_asset_tangibility dil_treated_1989 dil_treated_1990 dil_treated_1991 dil_treated_1992 dil_treated_1993 dil_treated_1994 dil_treated_1996 dil_treated_1997 dil_treated_1998 dil_treated_1999 dil_treated_2000 dil_treated_2001 dil_treated_2002 ///
 treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994  treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 treated__2002 ///
 l_Q l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage c.pretrend_bklev#c.year, a(gvkey naics4#year) cl(gvkey)
coef0tozero
 estimates store ctreatBL

coef0tozero
coefplot (ctreatROA ,yline(0) recast(connected)  clpattern(shortdash) msymbol(T) msize(large))  (ctreatBL , recast(connected)  clpattern(longdash_dot) msize(large)), ///
keep( dil_treated_1989 dil_treated_1990 dil_treated_1991 dil_treated_1992 dil_treated_1993 dil_treated_1994 l_asset_tangibility dil_treated_1996 dil_treated_1997 dil_treated_1998 dil_treated_1999 dil_treated_2000 dil_treated_2001 dil_treated_2002) /// 
order(dil_treated_1989 dil_treated_1990 dil_treated_1991 dil_treated_1992 dil_treated_1993 dil_treated_1994 l_asset_tangibility dil_treated_1996 dil_treated_1997 dil_treated_1998 dil_treated_1999 dil_treated_2000 dil_treated_2001 dil_treated_2002)  ///
 yline(0) plotlabels("ROA" "Book leverage" ) ciopts(recast(rcap)) citop yline(0) vertical ///
  graphregion(color(white)) bgcolor(white) xline(7.5, lpattern(dash)) ysc(r(-.06 .05)) ylab(-.06(0.01).05) 
graph export figure7.png, replace








***Figure 8: extended sample
use extended_panel, clear


***Figure 8a
reghdfe ROA l_asset_tangibility treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 treated__1995 treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001  ///
 treated__2003 treated__2004 treated__2005 treated__2006 treated__2007 treated__2008 treated__2009 treated__2010 treated__2011 treated__2012 ///
 l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_Q l_logage c.pretrend95_ROA#c.year c.pretrend02_ROA#c.year if  year>1996 , a(gvkey naics4#year) cl(gvkey)

coef0tozero
coefplot, keep( treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 treated__1995  treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 l_asset_tangibility ///
treated__2003 treated__2004 treated__2005 treated__2006 treated__2007 treated__2008 treated__2009 treated__2010 treated__2011 treated__2012  l_asset_tangibility) /// 
order( treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 treated__1995 treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 l_asset_tangibility  ///
 treated__2003 treated__2004 treated__2005 treated__2006 treated__2007 treated__2008 treated__2009 treated__2010 treated__2011 treated__2012) ///
 yline(0) recast(connected) clpattern(shortdash)  ciopts(recast(rcap) clpattern(shortdash)) ///
 citop vertical graphregion(color(white)) bgcolor(white) ytitle(ROA) subtitle (Moseley (2003);  TDRA (2006)) ///
 xline(6.5, lpattern(shortdash)) xline(10.5, lpattern(longdash) lcolor(green)) ysc(r(-.04 .04)) ylab(-.04(0.02).04) xlabel(, angle(vertical)) 
graph export figure8a.png, replace  




***Figure 8b 
reghdfe bklev l_asset_tangibility treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 treated__1995 treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001  ///
 treated__2003 treated__2004 treated__2005 treated__2006 treated__2007 treated__2008 treated__2009 treated__2010 treated__2011 treated__2012 ///
l_industry_bklev l_rtnvol l_log_pats l_RDat l_capxat l_logat l_ADat l_sgaat l_log_tmstk l_logage l_Q c.pretrend95_bklev#c.year c.pretrend02_bklev#c.year if  year>1996 , a(gvkey naics4#year) cl(gvkey)

coef0tozero
coefplot, keep( treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 treated__1995  treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 l_asset_tangibility ///
treated__2003 treated__2004 treated__2005 treated__2006 treated__2007 treated__2008 treated__2009 treated__2010 treated__2011 treated__2012  l_asset_tangibility) /// 
order( treated__1989 treated__1990 treated__1991 treated__1992 treated__1993 treated__1994 treated__1995 treated__1996 treated__1997 treated__1998 treated__1999 treated__2000 treated__2001 l_asset_tangibility  ///
 treated__2003 treated__2004 treated__2005 treated__2006 treated__2007 treated__2008 treated__2009 treated__2010 treated__2011 treated__2012) ///
 yline(0) recast(connected) clpattern(shortdash)  ciopts(recast(rcap) clpattern(shortdash)) ///
 citop vertical graphregion(color(white)) bgcolor(white) ytitle(Book Leverage) subtitle (Moseley (2003);  TDRA (2006)) ///
 xline(6.5, lpattern(shortdash)) xline(10.5, lpattern(longdash) lcolor(green)) ysc(r(-.04 .04)) ylab(-.04(0.02).04) xlabel(, angle(vertical)) 
graph export figure8b.png, replace 



log close
